Name:           perl-Crypt-JWT
Version:        0.034
Release:        1%{?dist}
Summary:        JSON Web Token (JWT, JWS, JWE) as defined by RFC7519, RFC7515, RFC7516
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            https://search.cpan.org/dist/Crypt-JWT/
Source0:        https://www.cpan.org/authors/id/M/MI/MIK/Crypt-JWT-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-interpreter >= 0:5.006
BuildRequires:  perl-generators
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl(Compress::Raw::Zlib)
BuildRequires:  perl(CryptX) >= 0.067
BuildRequires:  perl(Exporter) >= 5.57
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(JSON)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Crypt::Mode::ECB)
BuildRequires:  perl(Crypt::AuthEnc::GCM)
BuildRequires:  perl(Crypt::PRNG)
BuildRequires:  perl(Crypt::KeyDerivation)
BuildRequires:  perl(Crypt::Digest)
BuildRequires:  perl(Crypt::Misc)
BuildRequires:  perl(Crypt::PK::RSA)
BuildRequires:  perl(Crypt::PK::ECC)
BuildRequires:  perl(Crypt::PK::Ed25519)
BuildRequires:  perl(Crypt::PK::X25519)
BuildRequires:  perl(Crypt::Mac::HMAC)
BuildRequires:  perl(Compress::Raw::Zlib)
BuildRequires:  perl(Scalar::Util)

Requires:       perl(CryptX) >= 0.067
Requires:       perl(Exporter) >= 5.57
Requires:       perl(JSON)
Requires:       perl(Scalar::Util)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(Carp)
Requires:       perl(Crypt::Mode::ECB)
Requires:       perl(Crypt::AuthEnc::GCM)
Requires:       perl(Crypt::PRNG)
Requires:       perl(Crypt::KeyDerivation)
Requires:       perl(Crypt::Digest)
Requires:       perl(Crypt::Misc)
Requires:       perl(Crypt::PK::RSA)
Requires:       perl(Crypt::PK::ECC)
Requires:       perl(Crypt::PK::Ed25519)
Requires:       perl(Crypt::PK::X25519)
Requires:       perl(Crypt::Mac::HMAC)
Requires:       perl(Compress::Raw::Zlib)
Requires:       perl(Scalar::Util)

%{?perl_default_filter}

%description
Implements JSON Web Token (JWT) - https://tools.ietf.org/html/rfc7519. The
implementation covers not only JSON Web Signature (JWS) -
https://tools.ietf.org/html/rfc7515, but also JSON Web Encryption (JWE) -
https://tools.ietf.org/html/rfc7516.

%prep
%setup -q -n Crypt-JWT-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE META.json README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Feb 03 2023 yaroslav@fedevych.name 0.034-1
- Specfile autogenerated by cpanspec 1.78.
